AlmaLinux 2260 Published by

A protobuf security update has been released for AlmaLinux 9.



ALSA-2022:7970 Moderate: protobuf security update


Type:
security

Severity:
moderate

Release date:
2022-11-18

Description
Security Fix(es):
* protobuf: Incorrect parsing of nullchar in the proto symbol leads to Nullptr dereference (CVE-2021-22570)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.
Additional Changes:
For detailed information on changes in this release, see the AlmaLinux Release Notes linked from the References section.

References:
RHSA-2022:7970
CVE-2021-22570
ALSA-2022:7970

Updates packages:
protobuf-3.14.0-13.el9.i686.rpm
python3-protobuf-3.14.0-13.el9.noarch.rpm
protobuf-lite-3.14.0-13.el9.i686.rpm
protobuf-lite-3.14.0-13.el9.x86_64.rpm
protobuf-3.14.0-13.el9.x86_64.rpm
protobuf-3.14.0-13.el9.ppc64le.rpm
protobuf-lite-3.14.0-13.el9.ppc64le.rpm
protobuf-3.14.0-13.el9.s390x.rpm
protobuf-lite-3.14.0-13.el9.s390x.rpm
protobuf-3.14.0-13.el9.aarch64.rpm
protobuf-lite-3.14.0-13.el9.aarch64.rpm
protobuf-devel-3.14.0-13.el9.i686.rpm
protobuf-compiler-3.14.0-13.el9.i686.rpm
protobuf-lite-devel-3.14.0-13.el9.i686.rpm
protobuf-compiler-3.14.0-13.el9.x86_64.rpm
protobuf-devel-3.14.0-13.el9.x86_64.rpm
protobuf-lite-devel-3.14.0-13.el9.x86_64.rpm
protobuf-lite-devel-3.14.0-13.el9.s390x.rpm
protobuf-devel-3.14.0-13.el9.s390x.rpm
protobuf-compiler-3.14.0-13.el9.s390x.rpm
protobuf-devel-3.14.0-13.el9.aarch64.rpm
protobuf-lite-devel-3.14.0-13.el9.aarch64.rpm
protobuf-compiler-3.14.0-13.el9.aarch64.rpm
protobuf-devel-3.14.0-13.el9.ppc64le.rpm
protobuf-compiler-3.14.0-13.el9.ppc64le.rpm
protobuf-lite-devel-3.14.0-13.el9.ppc64le.rpm

Notes:
This page is generated automatically from Red Hat security data and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.

  ALSA-2022:7970 Moderate: protobuf security update